
/* 	bootbox glich:
		fix padding-right added by jquery bootbox
		https://stackoverflow.com/questions/32862394/bootstrap-modals-keep-adding-padding-right-to-body-after-closed
 */
body { padding-right: 0 !important }

pre {
	margin-top:10px;
	margin-left:10px;
	margin-right:10px;
	font-family: monospace, Courier, 'Courier New';
	white-space: initial;
	word-break: initial;
}

img {
	image-orientation: from-image;
}

.pad5 {
	padding: 5px;
}

.rotate90 {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}

.row.products .caption {
	padding-bottom:20px;
}
.row.products .caption h2 {
	margin-top:10px;
}
.row.products .thumbnail:hover {
	border-color: #0073b7;
}

.row.no-permission .box {
	background: repeating-linear-gradient(
		45deg,
		#eaeaea,
		#eaeaea 10px,
		#e1e1e1 10px,
		#e1e1e1 20px
	);
}

.display_block {
	display: block !important;
}

.weight_normal {
	font-weight: normal;
}

.icheck_uncheck_all {
	font-weight: normal;
}

.inline-block {
	display: inline-block !important;
}

/* larghezza impostata al minimo, in modo che l'elemento prenda la dimensione necessaria al contenuto */
.minimal-width {
	width:1px !important;
}

.text-grey {
	color: #aaa;
}

.bg-grey {
	background-color: #aaa !important;
}

.bg-blue {
	background-color: #0073b7;
	color: #fff;
}

.bg-white {
	background-color: #0073b7;
}


table.simple-table {
	width: 100%;
	border-collapse: collapse;
}
table.simple-table thead th {
	background-color: #efefef;
	padding: 5px;
	font-weight: bold;
	border: 1px solid #ccc;
	border-bottom: 2px solid #ccc;
}
table.simple-table tfoot th {
	background-color: #efefef;
	padding: 5px;
	font-weight: bold;
	border: 1px solid #ccc;
	border-top: 2px solid #ccc;
}
table.simple-table td {
	padding: 5px;
	border: 1px solid #ccc;
}


table.dataTable td {
	padding-bottom: 0px !important;
}

/* icona per il ripristino di un account eliminato in account_list.js */
table.dataTable td a.user_restore:hover {
	color: #ff0000;
}

table.dataTable tr.deleted td {
	text-decoration: line-through;
	color: #bbb;
	/*
	background: repeating-linear-gradient(
		45deg,
		#eaeaea,
		#eaeaea 10px,
		#e1e1e1 10px,
		#e1e1e1 20px
	  );
	*/
}
table.dataTable tr.deleted td a {
	color: #bbb;
}

table.dataTable tr.deleted td:last-child {
	text-decoration: none;
}

.text-border-2-white {
	text-shadow: 2px 0 0 #fff, -2px 0 0 #fff, 0 2px 0 #fff, 0 -2px 0 #fff, 1px 1px #fff, -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff;
}
.text-border-3-white {
	text-shadow: 3px 0 0 #fff, -3px 0 0 #fff, 0 3px 0 #fff, 0 -3px 0 #fff, 2px 2px #fff, -2px -2px 0 #fff, 2px -2px 0 #fff, -2px 2px 0 #fff;
}

.btn, .form-control {
	border-radius: 0;
}

 /* usato come toggle per il sesso uomo-donna in account_edit */
.btn-pink {
	background-color: #ef9fff;
	border-color: #d375e6;
	color: #fff;
}
.btn-pink:hover {
	background-color: #dc8ceb;
	color: #fff;
}

.fake_link {
	cursor: pointer;
}
.fake_link:hover {
	color: #0073b7;
}


/* adeguamento dimensioni select2 a bootstrap */
.select2-container--default .select2-selection--multiple .select2-selection__choice {
	padding: 0px 5px;
}

.modal-fullscreen {
	margin: 0 !important;
	padding: 0 !important;
}
.modal-fullscreen .modal-dialog {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
}
.modal-fullscreen .modal-content {
	height: auto;
	min-height: 100%;
	border-radius: 0;
}
.modal-fullscreen .modal-body {
	padding:0;
}

/* titolo alto finestre modali di bootstrap */
.modal-title::first-letter {
	text-transform: capitalize;
}

.centered-modal.in {
    display: flex !important;
}
.centered-modal .modal-dialog {
    margin: auto;
}

/* separatore di voci nel menu della sidebar principale */
li.sidebar_item_separator {
	height:1px;
	margin:7px 15px 5px 38px;
	/*background: rgba(138, 164, 175, 0.3);*/

	background: rgba(138,164,175,0.5);
	background: -moz-linear-gradient(left, rgba(138,164,175,0.5) 0%, rgba(138,164,175,0.38) 24%, rgba(138,164,175,0.17) 67%, rgba(138,164,175,0) 100%);
	background: -webkit-gradient(left top, right top, color-stop(0%, rgba(138,164,175,0.5)), color-stop(24%, rgba(138,164,175,0.38)), color-stop(67%, rgba(138,164,175,0.17)), color-stop(100%, rgba(138,164,175,0)));
	background: -webkit-linear-gradient(left, rgba(138,164,175,0.5) 0%, rgba(138,164,175,0.38) 24%, rgba(138,164,175,0.17) 67%, rgba(138,164,175,0) 100%);
	background: -o-linear-gradient(left, rgba(138,164,175,0.5) 0%, rgba(138,164,175,0.38) 24%, rgba(138,164,175,0.17) 67%, rgba(138,164,175,0) 100%);
	background: -ms-linear-gradient(left, rgba(138,164,175,0.5) 0%, rgba(138,164,175,0.38) 24%, rgba(138,164,175,0.17) 67%, rgba(138,164,175,0) 100%);
	background: linear-gradient(to right, rgba(138,164,175,0.5) 0%, rgba(138,164,175,0.38) 24%, rgba(138,164,175,0.17) 67%, rgba(138,164,175,0) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#8aa4af', endColorstr='#8aa4af', GradientType=1 );
}

/* bootstrap switch */
div.toggle-group label.toggle-on, div.toggle-group label.toggle-off {
	box-shadow: none;
	-webkit-box-shadow: none;
}

/* giorno selezionato nel datepicker */
input.datepicker {
	border-radius: 0;
}
input.datetimepicker {
	border-radius: 0;
	padding: 6px 12px;
	margin-top: 0;
	/* width: auto !important; */
}

.datepicker-days .table-condensed td.active.day {
	background-image: none;
	background-color:#3c8dbc;
}

.media .thumbnail .file_details {
	display: inline-block;
	position: absolute;
	top:1px;
	left:1px;
	padding:5px 10px;
	background-color: #eee;
	border-right: 1px solid #ddd;
	border-bottom: 1px solid #ddd;
	font-weight: bold;

	/* font-size: 16px; */
	border-bottom-right-radius: inherit;
	font-style: italic;
	/*text-transform: capitalize;*/
}
.media .thumbnail {
	position:relative;
	opacity:0.7;
	transition: opacity .5s;
}
.media .thumbnail:hover {
	opacity:1;
	border-color: #aaa;
	color: #ff0000;
}
.media .thumbnail .action_only_image {
	display: none;
}
.media .thumbnail.image .action_only_image {
	display: block;
}
.media .thumbnail .file_icon_zoom,
.media .thumbnail .file_icon_download {
	display: block;
	color: #fff;
	position: absolute;
	top: 25%;
	left: 43%;
	z-index: 800;
	font-size: 50px;
	visibility: hidden; /* se tolgo visibility, le icone restano sovrapposte e mi este l'alt dell'icona sopra, ma perdo la dissolvenza in uscita */
	opacity:0;
	transition: opacity .5s;
	text-shadow: 2px 2px 6px #000, -2px -2px 6px #000;
}
.media .thumbnail.image:hover .file_icon_zoom {
	visibility: visible;
	opacity:0.6;
}
.media .thumbnail.misc:hover .file_icon_download {
	visibility: visible;
	opacity:0.6;
}

/* home - dashboard */
.small-box h3 {
	font-size:20px;
}
.small-box .icon {
	font-size:70px;
}
.small-box:hover .icon {
	font-size:82px;
	margin-top: -5px;
}

table.transaction_details_mini tr td {
	padding: 5px;
}
table.transaction_details_mini tr td:first-child {
	font-weight: bold;
	text-align: right;
}
table.transaction_details_mini tr td:first-child::after {
	content: ":";
}
